Subject: bug#74350: The syslinux package is not reproductible

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Thu, 19 Sep 2024 18:13:18 +0200

Hi,

While debugging an unrelated reproducibility issue with an older mtools
version I got the idea of testing packages that uses mtools (with the
current Guix version) and it turn out not to be reproductible:
 $ guix challenge syslinux
/gnu/store/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93
contents differ: no local build for
'/gnu/store/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93' https://bordeaux.guix.gnu.org/nar/lzip/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93: 168p4cykfvjklsjpchppgbrlv2yfj34734xzmc1nfjnr527n5nas
  https://ci.guix.gnu.org/nar/lzip/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93: 0d6v9jv6wbnir9hm6lkfs9lk1c0harq9dvxlhanbm7rzn5mrrfxw
  differing files:
    /bin/syslinux
    /sbin/extlinux
    /share/syslinux/isolinux-debug.bin
    /share/syslinux/isolinux.bin
    /share/syslinux/lpxelinux.0
    /share/syslinux/memdisk
    /share/syslinux/pxelinux.0
    /share/syslinux/sysdump.c32
    /share/syslinux/syslinux.com

1 store items were analyzed:
  - 0 (0.0%) were identical
  - 1 (100.0%) differed
  - 0 (0.0%) were inconclusive

Here's my Guix version:
$ guix describe
Generation 84	Sep 14 2024 15:08:03	(current)
  guix 9c88f21
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9c88f217bec9efeda02f934626a5da14014c2ab7
[gnutoo@primary_laptop(guix) guix]$ guix challenge syslinux
/gnu/store/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93
contents differ: no local build for
'/gnu/store/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93' https://bordeaux.guix.gnu.org/nar/lzip/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93: 168p4cykfvjklsjpchppgbrlv2yfj34734xzmc1nfjnr527n5nas
  https://ci.guix.gnu.org/nar/lzip/9gq6bgralqfd1yzkywnr8pkx5il5s99c-syslinux-6.04-pre-1.bb41e93: 0d6v9jv6wbnir9hm6lkfs9lk1c0harq9dvxlhanbm7rzn5mrrfxw
  differing files:
    /bin/syslinux
    /sbin/extlinux
    /share/syslinux/isolinux-debug.bin
    /share/syslinux/isolinux.bin
    /share/syslinux/lpxelinux.0
    /share/syslinux/memdisk
    /share/syslinux/pxelinux.0
    /share/syslinux/sysdump.c32
    /share/syslinux/syslinux.com

1 store items were analyzed:
  - 0 (0.0%) were identical
  - 1 (100.0%) differed
  - 0 (0.0%) were inconclusive

I'm unsure if it has the same issue I'm struggling with or not (FAT12
and maybe FAT32 as well store last access date (without the time) so
it's easy to mess up testing).

Denis.